using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace WebApplication1.Controllers {
	public class ExempleAngularController : Controller {
		// GET: ExempleAngular
		public ActionResult Index() {
			return View();
		}
		public ActionResult FormationControllerSimple() {
			return View();
		}
		public ActionResult UtilisationServiceHttp() {
			return View();
		}
		public ActionResult ServiceMaison() {
			return View();
		}
		public ActionResult NgEtMsAjax() {
			return View();
		}
		public ActionResult DataBindingEtValidation() {
			return View();
		}
		public ActionResult NgRepeat() {
			return View();
		}
		public ActionResult VuesEtRoutes() {
			return View();
		}		

		[OutputCache(Location = System.Web.UI.OutputCacheLocation.Any, Duration = int.MaxValue)]
		public FileStreamResult MsAjax() {
			return File(
				System.Reflection.Assembly.GetAssembly( typeof( System.Web.UI.ScriptManager ) ).GetManifestResourceStream( "MicrosoftAjax.js" ),
				"application/javascript"
				);
		}
	}
}